Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class ExternalServices.ServiceItem

    java.lang.Object
      org.jasig.portal.services.ExternalServices.ServiceItem

Enclosing class:
  ExternalServices

     class ExternalServices.ServiceItem

extends java.lang.Object

Field Summary
`(package private) java.util.List` | `argList`
`(package private) java.lang.StringBuffer` | `javaClass`
`(package private) java.lang.StringBuffer` | `jndiName`
`(package private) java.lang.StringBuffer` | `methodType`
`(package private) java.lang.StringBuffer` | `name`
`(package private) java.lang.StringBuffer` | `startMethod`

Constructor Summary
`ExternalServices.ServiceItem()`

Method Summary
`void` | `addArgument(ExternalServices.Argument argItem)`
`java.lang.Class[]` | `getArgumentClasses()`
`java.lang.Object[]` | `getArguments()`
`java.lang.String` | `getJavaClass()`
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStartMethod()`
`boolean` | `isStatic()`
`void` | `setJavaClass(java.lang.String svcClass)`
`void` | `setJndiName(java.lang.String name)`
`void` | `setMethodType(java.lang.String type)`
`void` | `setName(java.lang.String svcName)`
`void` | `setStartMethod(java.lang.String methodName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.StringBuffer name

### javaClass

    java.lang.StringBuffer javaClass

### jndiName

    java.lang.StringBuffer jndiName

### startMethod

    java.lang.StringBuffer startMethod

### methodType

    java.lang.StringBuffer methodType

### argList

    java.util.List argList

Constructor Detail

### ExternalServices.ServiceItem

    ExternalServices.ServiceItem()

Method Detail

### setName

    public void setName(java.lang.String svcName)

### getName

    public java.lang.String getName()

### setJavaClass

    public void setJavaClass(java.lang.String svcClass)

### getJavaClass

    public java.lang.String getJavaClass()

### setStartMethod

    public void setStartMethod(java.lang.String methodName)

### getStartMethod

    public java.lang.String getStartMethod()

### setJndiName

    public void setJndiName(java.lang.String name)

### getJndiName

    public java.lang.String getJndiName()

### setMethodType

    public void setMethodType(java.lang.String type)

### isStatic

    public boolean isStatic()

### addArgument

    public void addArgument(ExternalServices.Argument argItem)

### getArguments

    public java.lang.Object[] getArguments()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getArgumentClasses

    public java.lang.Class[] getArgumentClasses()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD